Keyboard language unavailable on the login screen

Bug #1725676 reported by sabuhi yusif on 2017-10-21
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
gdm3 (Ubuntu)
High
Unassigned

Bug Description

New Ubuntu version 17.10 downloaded and can't change keyboard languag.My password in English so I can't logged in Because keyboard is in Azerbaijani which is the letter 'w' is missing. SUCH A STUPID BUG. Shame!

Gunnar Hjalmarsson (gunnarhj) wrote :

Just to check if I understood this correctly:

In the installer you
1. Selected an Azerbaijani keyboard layout
2. Chose a password with characters not available on an Azerbaijani layout

Did those steps precede this problem?

Changed in ubuntu-docs (Ubuntu):
status: New → Incomplete

 More or less YesMy previous Ubuntu version (17.04 ) has two keyboards (English and Azerbaijani ). My password is in English but after I upgraded version it only lets me write in Azerbaijani keyboard. And there is no option in login menu for changing keyboard language.(Even screen keyboard ''w" letter is disabled)
    On Saturday, October 21, 2017, 10:01:17 PM GMT+4, Gunnar Hjalmarsson <email address hidden> wrote:

 Just to check if I understood this correctly:

In the installer you
1. Selected an Azerbaijani keyboard layout
2. Chose a password with characters not available on an Azerbaijani layout

Did those steps precede this problem?

** Changed in: ubuntu-docs (Ubuntu)
      Status: New => Incomplete

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1725676

Title:
  Keyboard language

Status in ubuntu-docs package in Ubuntu:
  Incomplete

Bug description:
  New Ubuntu version 17.10 downloaded and can't change keyboard
  languag.My password in English so I can't logged in Because keyboard
  is in Azerbaijani which is the letter 'w' is missing. SUCH A STUPID
  BUG. Shame!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/1725676/+subscriptions

Was it a version upgrade (from 17.04 to 17.10) or a fresh install?

In any case, and if I understand it correctly, the GDM greeter, which is the default greeter in Ubuntu 17.10, allows you to use the keyboard layout(s) stated in the /etc/default/keyboard file. That file probably includes this line:

XKBLAYOUT="az"

while you would like that line to read:

XKBLAYOUT="us"

or maybe

XKBLAYOUT="az,us"

If you - as in the latter case - state more than one layout, the GDM greeter will provide a keyboard layout switcher.

So I guess you need to fix this somehow, maybe by starting your computer with a bootable USB stick.

 Yes, It was version upgrade (17.04 - 17.10). But I didn't see any option for switching keyboard lang.
    On Saturday, October 21, 2017, 11:50:46 PM GMT+4, Gunnar Hjalmarsson <email address hidden> wrote:

 Was it a version upgrade (from 17.04 to 17.10) or a fresh install?

In any case, and if I understand it correctly, the GDM greeter, which is
the default greeter in Ubuntu 17.10, allows you to use the keyboard
layout(s) stated in the /etc/default/keyboard file. That file probably
includes this line:

XKBLAYOUT="az"

while you would like that line to read:

XKBLAYOUT="us"

or maybe

XKBLAYOUT="az,us"

If you - as in the latter case - state more than one layout, the GDM
greeter will provide a keyboard layout switcher.

So I guess you need to fix this somehow, maybe by starting your computer
with a bootable USB stick.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1725676

Title:
  Keyboard language

Status in ubuntu-docs package in Ubuntu:
  Incomplete

Bug description:
  New Ubuntu version 17.10 downloaded and can't change keyboard
  languag.My password in English so I can't logged in Because keyboard
  is in Azerbaijani which is the letter 'w' is missing. SUCH A STUPID
  BUG. Shame!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/1725676/+subscriptions

sabuhi yusif (sabuhigsaaman) wrote :

I still can't figure out how to solve this problem

Sent from Yahoo Mail on Android

  On Sun, Oct 22, 2017 at 14:55, Sabuhi Yusifov<email address hidden> wrote: Yes, It was version upgrade (17.04 - 17.10). But I didn't see any option for switching keyboard lang.
    On Saturday, October 21, 2017, 11:50:46 PM GMT+4, Gunnar Hjalmarsson <email address hidden> wrote:

 Was it a version upgrade (from 17.04 to 17.10) or a fresh install?

In any case, and if I understand it correctly, the GDM greeter, which is
the default greeter in Ubuntu 17.10, allows you to use the keyboard
layout(s) stated in the /etc/default/keyboard file. That file probably
includes this line:

XKBLAYOUT="az"

while you would like that line to read:

XKBLAYOUT="us"

or maybe

XKBLAYOUT="az,us"

If you - as in the latter case - state more than one layout, the GDM
greeter will provide a keyboard layout switcher.

So I guess you need to fix this somehow, maybe by starting your computer
with a bootable USB stick.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1725676

Title:
  Keyboard language

Status in ubuntu-docs package in Ubuntu:
  Incomplete

Bug description:
  New Ubuntu version 17.10 downloaded and can't change keyboard
  languag.My password in English so I can't logged in Because keyboard
  is in Azerbaijani which is the letter 'w' is missing. SUCH A STUPID
  BUG. Shame!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/1725676/+subscriptions

Please note that this is a bug report.

The intention of my questions and comments is to try to determine if this is a bug which could be fixed somehow. I'm not sure yet, and in any case it's not a documentation bug (the ubuntu-docs package). If it is a bug, it would need to be fixed somewhere else.

If my hints in comment #3 are not sufficient for you to understand what needs to be done to fix your system, I have to ask you to seek support. At e.g. <https://askubuntu.com> there is a good chance that somebody will provide the guidance you need. (You may want to refer to this bug report.)

Sorry for the inconvenience.

Gunnar Hjalmarsson (gunnarhj) wrote :

@sabuhi yusif: Maybe I have found a solution for you, after all. To type the letter 'w' without a 'w' key, you can do:

<Ctrl>+<Shift>+U followed by 0077 followed by <Space>

The method is explained here:

https://help.ubuntu.com/17.04/ubuntu-help/tips-specialchars.html#ctrlshiftu

I just tested this successfully when entering my password on the login screen.

Chris McIntosh (gnu-know-who) wrote :

I am also victim to this bug. I installed the Cherokee keyboard layout using"dpkg-reconfigure keyboard-layout. Then I rebooted per instructions.

Here I sit with the login screen. My password had been set (in English) prior to changing the keyboard to Cherokee.

So, I am unable to enter my password since each key generate a Cherokee syllabic.

Further, I am unable to use the direct Unicode input method since no "U" key is available.

sabuhi yusif (sabuhigsaaman) wrote :

Woow, @Gunnar Hjalmarsonn Thankss a lot. Your solution worked

Sebastien Bacher (seb128) wrote :

Gunnar, that seems rather a gdm issue then? Is that because the gdm layout is the same for all users or do you understand what the issue is exactly?

Gunnar Hjalmarsson (gunnarhj) wrote :

I just researched it, and this is my understanding:

The keyboard layout indicator in unity-greeter lists all the layouts for all users on the system. I suppose it grabs them from accountsservice. The indicator in lightdm-gtk-greeter shows the same list if it's enabled (not enabled by default).

The keyboard layout indicator in gdm3 only lists the layouts saved in /etc/default/keyboard.

So strictly speaking, this is a gdm3 wishlist bug. OTOH, for a user who accomplish an upgrade from e.g. Ubuntu 17.04 (or, later, Ubuntu 16.04) it may be seen as a regression. In most cases it doesn't matter much, but it did for the reporter of this bug.

It may be motivated to ask upstream why they don't make use of the information provided by accountsservice in the same way as unity-greeter does.

affects: ubuntu-docs (Ubuntu) → gdm3 (Ubuntu)
Changed in gdm3 (Ubuntu):
status: Incomplete → Confirmed
summary: - Keyboard language
+ Keyboard language available on the login screen

@Chris: Your case is not a regression one, I suppose, but you rather did something 'stupid' without realizing the consequences. ;) One way to fix it is to make use of a bootable USB stick as I mentioned in comment #3. That would allow you to edit /etc/default/keyboard to a layout with which you can enter your password.

The Geeko (thegeeko61) wrote :

@Gunnar: you're right. I acted carelessly (stupidly, perhaps). I'm in the process of following the details of your response.

Daniel van Vugt (vanvugt) wrote :

Can we by any chance merge this with bug 1652618?

summary: - Keyboard language available on the login screen
+ Keyboard language unavailable on the login screen
Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1566357, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Gunnar Hjalmarsson (gunnarhj) wrote :

@Daniel: I marked this as not a duplicate for now, since I believe they deal with different aspects of input sources. The fact that you can't use input methods on gdm3 is a separate thing IMO.

Gunnar Hjalmarsson (gunnarhj) wrote :

For the record: Chris's/The Geeko's issue with Cherokee was resolved using the answer at <https://askubuntu.com/a/971469/159370>.

Daniel van Vugt (vanvugt) wrote :

OK then, bug 1660041 :)

Daniel van Vugt (vanvugt) wrote :

Ah, sorry. That one was resolved. Let's keep this as the primary bug, if not bug 1566357.

Daniel van Vugt (vanvugt) wrote :

While editing /etc/default/keyboard may work, we really need to ensure a GUI solution exists for normal Ubuntu users before calling this fixed.

If the below steps don't work then we need to find out why and get it fixed:

1. On 17.04 and earlier: System Settings > Language Support
2. On 17.10 and later: Settings > Region & Language > Manage Installed Languages
3. Configure your preferred language
4. Click "Apply System-Wide (Use the same language choices for startup and the login screen.)"

Or we need to find some other GUI-based solution. For human beings :)

Changed in gdm3 (Ubuntu):
importance: Undecided → High
Daniel van Vugt (vanvugt) wrote :

OK, the original reporter of bug 1566357 thinks this is the same issue. So we should merge these bugs. Keeping bug 1566357 looks like the best option - it's the older one and is shorter/easier to read.

Gunnar Hjalmarsson (gunnarhj) wrote :

@Daniel: This is about a kind of regression when upgrading from 17.04 with Unity/LightDM to 17.10 with GNOME/GDM, meaning that one or more previously available keyboard layouts are no longer available on the login screen. The other bug is about not being able to use input methods for typing passwords. How could they possibly be the same issue? Just because the reporter of the other bug, who no longer uses Ubuntu, "thinks" they are without providing any justification?

They are not. (Besides, even if they had been duplicates, you shouldn't hide the one with some analyses because the other "is shorter/easier to read"!)

Please leave this bug as is now, allowing a proper evaluation whether this is an issue which could/should be fixed somehow.

Daniel van Vugt (vanvugt) wrote :

Proper evaluation begins with everyone being on the same page, so that we increase collaboration and our ability to solve a problem. That means aggressively deduplicating bugs should always be our first priority.... But I don't mind if it's done on this page or that page.

Gunnar Hjalmarsson (gunnarhj) wrote :

I'd say that proper evaluation begins with sorting things out. I think that changing the bug summary of the other bug back to the original wording was a step in the right direction. Thanks!

Daniel van Vugt (vanvugt) wrote :

Thank you for reporting this bug to Ubuntu.
Ubuntu 17.10 (artful) reached end-of-life on July 19, 2018.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We appreciate that this bug may be old and you might not be interested in discussing it any more. But if you are then please upgrade to the latest Ubuntu version and re-test. If you then find the bug is still present in the newer Ubuntu version, please add a comment here telling us which new version it is in and change the bug status to Confirmed.

Changed in gdm3 (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers